EMSA5Pad< T > Class Template Reference

EMSA5 padding method. More...

`#include <esign.h>`

Inheritance diagram for EMSA5Pad< T >:

## Public Member Functions

void | ComputeMessageRepresentative (RandomNumberGenerator &rng, const byte *recoverableMessage, size_t recoverableMessageLength, HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_DeterministicSignatureMessageEncodingMethod
bool | VerifyMessageRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength) const
Public Member Functions inherited from PK_SignatureMessageEncodingMethod
virtual size_t | MinRepresentativeBitLength (size_t hashIdentifierLength, size_t digestLength) const
virtual size_t | MaxRecoverableLength (size_t representativeBitLength, size_t hashIdentifierLength, size_t digestLength) const
bool | IsProbabilistic () const
| Determines whether an encoding method requires a random number generator.
bool | AllowNonrecoverablePart () const
virtual bool | RecoverablePartFirst () const
virtual void | ProcessSemisignature (HashTransformation &hash, const byte *semisignature, size_t semisignatureLength) const
virtual void | ProcessRecoverableMessage (HashTransformation &hash, const byte *recoverableMessage, size_t recoverableMessageLength, const byte *presignature, size_t presignatureLength, SecByteBlock &semisignature) const
virtual DecodingResult | RecoverMessageFromRepresentative (HashTransformation &hash, HashIdentifier hashIdentifier, bool messageEmpty, byte *representative, size_t representativeBitLength, byte *recoveredMessage) const
virtual DecodingResult | RecoverMessageFromSemisignature (HashTransformation &hash, HashIdentifier hashIdentifier, const byte *presignature, size_t presignatureLength, const byte *semisignature, size_t semisignatureLength, byte *recoveredMessage) const

## Static Public Member Functions

static const char * | StaticAlgorithmName ()

## Detailed Description

template<class T>
class EMSA5Pad< T >

EMSA5 padding method.

Template Parameters

  T | Mask Generation Function

Since
  Crypto++ 5.0

Definition at line 120 of file esign.h.

## Member Function Documentation

## StaticAlgorithmName()

template<class T>

const char * EMSA5Pad< T >::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 123 of file esign.h.

## ComputeMessageRepresentative()

template<class T>

void EMSA5Pad< T >::ComputeMessageRepresentative | ( | RandomNumberGenerator & | rng,
|  | const byte * | recoverableMessage,
|  | size_t | recoverableMessageLength,
|  | HashTransformation & | hash,
|  | HashIdentifier | hashIdentifier,
|  | bool | messageEmpty,
|  | byte * | representative,
|  | size_t | representativeBitLength ) const

inline virtual

Implements PK_SignatureMessageEncodingMethod.

Definition at line 125 of file esign.h.

The documentation for this class was generated from the following file:

- esign.h